$.fn.attachBehavior = function(trigger, cb) {
  if (!!!this.binding) {
    $(this).on(trigger, evt => {
      if (typeof cb === 'function') {
        cb.apply(this, arguments);
      }
    });
  }

  this.binding = { trigger, cb };
};

$.fn.detachBehavior = function(trigger, cb) {
  if (!!this.binding) {
    $(this).off(trigger);
  }

  this.binding = null;
};

$.fn.getBehavior = function() {
  return this.binding;
};
